learningemacs
  • Member for 4 years, 1 month
  • Last seen more than 3 years ago
error: Package `use-package-' is unavailable
6 votes

I am adding this answer as suggested by @Drew. I appreciate the answer from @wasamasa which allowed me to get this working in my .emacs file. Here is how I modified my .emacs file. (package-...

View answer
Error (use-package): Failed to install magit: Package `magit-' is unavailable
Accepted answer
2 votes

Thanks to the help of @ChakravarthyRaghunandan and @Kaligule and rereading the Melpa getting started I have been able to use use-package to install magit in a docker container in emacs-nox. The ...

View answer
Customize Xah Fly Keys
Accepted answer
2 votes

With the help of aminb on freenode #emacs-beginners and the Xah Fly Keys customization documentation I have got it working. In my init file after requiring Xah Fly Keys I added: (define-key xah-fly-...

View answer
Themes in emacs-nox displaying bottom part of frame black instead of background color
0 votes

Thanks to the comment @caisah provided I have been able to solve this issue. I discovered the solution by playing with guake as an alternative to LXDE terminal. It worked in right away with guake ...

View answer
Symbol's value as variable is void: xah-fly-leader-keymap
Accepted answer
0 votes

@Drew thank you for linking to the other answer. @wasamasa thanks for your help on IRC Freenode emacs-beginners. The error was because I had accidentally removed the - from xah-fly-leader-key-map ...

View answer
error: Package `xah-fly-keys-' is unavailable
Accepted answer
0 votes

Thanks to @xuchunyang's comment I was able to get this working. Here is the revised .emacs which adds and uses melpa. ;; require package (require 'package) ;; add melpa stable (add-to-list '...

View answer